#
# spec file for package python-pretend
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pretend
Version:        1.0.8
Release:        bp153.1.16
Summary:        A library for stubbing in Python
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/alex/pretend
Source:         https://pypi.io/packages/source/p/pretend/pretend-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
Pretend is a library to make stubbing with Python easier.

%prep
%setup -q -n pretend-%{version}

%build
%python_build

%install
%python_install

%files %python_files
%defattr(-,root,root,-)
%doc LICENSE.rst README.rst
%{python_sitelib}/*

%changelog
* Thu Mar 16 2017 tbechtold@suse.com
- Switch to singlespec approach
* Mon Mar 31 2014 speilicke@suse.com
- Initial version
